import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import roulette

GridLayout {
    rowSpacing: 20
    columnSpacing: 50
    flow: GridLayout.TopToBottom
    rows: 3

    anchors {
        /* These random IDs com from Results' parent*/
        left: payoutButton.right
        leftMargin: 30
        top: roulette.bottom
        topMargin: 20
    }


    Repeater {
        model: 7

        Text {
            text: ""

            Connections {
                target: PlayerAreaModel

                function onResults(name, n, payout) {
                    if (index + 1 == n && name != "") {
                        text = name + ": " + payout.toLocaleString(Qt.locale(), 'f', 0) + "g"
                    }
                }
            }
        }
    }
}
